Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Cache_IntId Class Reference

Helper class for TAO_Transport_Cache_Manager. More...

`#include <Cache_Entries.h>`

Collaboration diagram for TAO_Cache_IntId:

[legend]
List of all members.

## Public Methods
| TAO_Cache_IntId (void)
| Constructor. More...
| TAO_Cache_IntId (TAO_Transport *transport)
| Constructor. More...
| TAO_Cache_IntId (const TAO_Cache_IntId &rhs)
| Copy constructor. More...
| ~TAO_Cache_IntId (void)
| Destructor. More...
TAO_Cache_IntId & | operator= (const TAO_Cache_IntId &rhs)
| Assignment operator (does copy memory). More...
int | operator== (const TAO_Cache_IntId &rhs) const
| Equality comparison operator (must match both id_ and kind_). More...
int | operator!= (const TAO_Cache_IntId &rhs) const
| Inequality comparison operator. More...
TAO_Transport * | transport (void)
| Return the underlying transport. More...
const TAO_Transport * | transport (void) const
| Return the underlying transport. More...
void | recycle_state (ACE_Recyclable_State new_state)
| Set <recycle_state>. More...
ACE_Recyclable_State | recycle_state (void)
| Get <recycle_state>. More...
TAO_Transport * | relinquish_transport (void)
| Relinquish ownership of the TAO_Transport object associated with this TAO_Cache_IntId. More...
## Private Attributes
TAO_Transport * | transport_
| The transport that needs to be cached. More...
ACE_Recyclable_State | recycle_state_
| The state of the handle. More...

## Detailed Description

Helper class for TAO_Transport_Cache_Manager.

Helper class that wraps the <value> part of the Map or table holding the Transport state.: unifies data items, so they can be stored together as a <value> for a <key> in a table holding the state of the Transport Cache.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Cache_IntId::TAO_Cache_IntId | ( | void |  | ) |

| Constructor.

TAO_Cache_IntId::TAO_Cache_IntId | ( | TAO_Transport * | transport | ) |

| Constructor.

ACE_INLINE TAO_Cache_IntId::TAO_Cache_IntId | ( | const TAO_Cache_IntId & | rhs | ) |

| Copy constructor.

TAO_Cache_IntId::~TAO_Cache_IntId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE int TAO_Cache_IntId::operator!= | ( | const TAO_Cache_IntId & | rhs | ) | const

| Inequality comparison operator.

TAO_Cache_IntId & TAO_Cache_IntId::operator= | ( | const TAO_Cache_IntId & | rhs | ) |

| Assignment operator (does copy memory).

ACE_INLINE int TAO_Cache_IntId::operator== | ( | const TAO_Cache_IntId & | rhs | ) | const

| Equality comparison operator (must match both id_ and kind_).

ACE_INLINE ACE_Recyclable_State TAO_Cache_IntId::recycle_state | ( | void |  | ) |

| Get <recycle_state>.

ACE_INLINE void TAO_Cache_IntId::recycle_state | ( | ACE_Recyclable_State | st | ) |

| Set <recycle_state>.

ACE_INLINE TAO_Transport * TAO_Cache_IntId::relinquish_transport | ( | void |  | ) |

| Relinquish ownership of the TAO_Transport object associated with this TAO_Cache_IntId. Note: This method should go away once the Transport_Cache_Map_Manager is improved so that it returns TAO_Transport objects when performing a find() operation. This method really only exists to get around inadequacies in the Transport_Cache_Map_Manager interface.

ACE_INLINE const TAO_Transport * TAO_Cache_IntId::transport | ( | void |  | ) | const

| Return the underlying transport.

ACE_INLINE TAO_Transport * TAO_Cache_IntId::transport | ( | void |  | ) |

| Return the underlying transport.

## Member Data Documentation

ACE_Recyclable_State TAO_Cache_IntId::recycle_state_`[private]`

| The state of the handle.

TAO_Transport* TAO_Cache_IntId::transport_`[private]`

| The transport that needs to be cached.

The documentation for this class was generated from the following files:

- Cache_Entries.h
- Cache_Entries.cpp
- Cache_Entries.inl